Bug 1291166 - oslo_messaging_rabbit section is not configured for glance-api.conf and glance-registry.conf by default
oslo_messaging_rabbit section is not configured for glance-api.conf and glanc...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 11.0 (Ocata)
Assigned To: Erno Kuvaja
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 03:32 EST by Yurii Prokulevych
Modified: 2017-04-05 20:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-05 20:32:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yurii Prokulevych 2015-12-14 03:32:36 EST
Description of problem:
"[oslo_messaging_rabbit]" section from glance-api.conf and glance-registry.conf is not configured by default.
If it's required to configure glance to send notifications this section has to be configured manually. 

Otherwise next  error message in glance/api.log:
2015-12-14 02:11:43.400 24182 ERROR oslo.messaging._drivers.impl_rabbit [req-765d8db0-ad62-4154-b4d2-fd1a48d52fcb 410196c08ee54d07ae57a2415e300549 dc027a0642584da3924acd9954b78053 - - -] AMQP server on 127.0.0.1:5672 is unreachable: [Errno 111] ECONNREFUSED. Trying again in 1 seconds.
2015-12-14 02:11:44.416 24182 ERROR oslo.messaging._drivers.impl_rabbit [req-765d8db0-ad62-4154-b4d2-fd1a48d52fcb 410196c08ee54d07ae57a2415e300549 dc027a0642584da3924acd9954b78053 - - -] AMQP server on 127.0.0.1:5672 is unreachable: [Errno 111] ECONNREFUSED. Trying again in 2 seconds.
2015-12-14 02:11:46.455 24182 ERROR oslo.messaging._drivers.impl_rabbit [req-765d8db0-ad62-4154-b4d2-fd1a48d52fcb 410196c08ee54d07ae57a2415e300549 dc027a0642584da3924acd9954b78053 - - -] AMQP server on 127.0.0.1:5672 is unreachable: [Errno 111] ECONNREFUSED. Trying again in 2 seconds.

Version-Release number of selected component (if applicable):
python-glanceclient-1.1.0-1.el7ost.noarch
python-glance-store-0.9.1-1.el7ost.noarch
openstack-glance-11.0.0-1.el7ost.noarch
python-glance-11.0.0-1.el7ost.noarch
openstack-tripleo-0.0.7-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.7-2.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.2-1.el7ost.noarch
openstack-tripleo-common-0.0.2-4.el7ost.noarch
openstack-tripleo-image-elements-0.9.7-1.el7ost.noarch
python-tripleoclient-0.0.11-5.el7ost.noarch


How reproducible:


Steps to Reproduce:
Deploy command: 
openstack overcloud deploy --libvirt-type qemu  --control-scale=3 --compute-scale=1 --ceph-storage-scale=0 -e /usr/share/openstack-tripleo-heat-templates/environments/puppet-pacemaker.yaml --templates --ntp-server x.x.x.x

This is virtual HA setup.

Actual results:
[oslo_messaging_rabbit] section is using default values

Expected results:
[oslo_messaging_rabbit] section is configured to use actual rabbit hosts/credentials/etc.


Regards,
Yurii
Comment 2 Mike Burns 2016-04-07 17:00:12 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Yurii Prokulevych 2016-12-19 08:51:43 EST
I can see next in glance/api.log on env upgraded to RHOS-10:

2016-12-19 13:45:23.154 631182 DEBUG oslo_messaging._drivers.amqpdriver [req-add6a12d-5f03-4b24-887f-cd8bfe541d2d 7a87c9de03a14456888e8ad2a9a7a737 96a7b6456be443869cdca19ef2b1559b - default default] CAST unique_
id: 898e86ed697d4c1ba4c858702a3f7707 NOTIFY exchange 'glance' topic 'notifications.info' _send /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:432
2016-12-19 13:45:23.168 631182 DEBUG oslo_messaging._drivers.amqpdriver [req-add6a12d-5f03-4b24-887f-cd8bfe541d2d 7a87c9de03a14456888e8ad2a9a7a737 96a7b6456be443869cdca19ef2b1559b - default default] CAST unique_
id: 40d563832d084c7e9c3e3b82b2ec99a3 NOTIFY exchange 'glance' topic 'notifications.info' _send /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:432
2016-12-19 13:45:23.174 631182 DEBUG oslo_messaging._drivers.amqpdriver [req-add6a12d-5f03-4b24-887f-cd8bfe541d2d 7a87c9de03a14456888e8ad2a9a7a737 96a7b6456be443869cdca19ef2b1559b - default default] CAST unique_
id: 18748817a54a4acfa1ecd4bd8ecba6e4 NOTIFY exchange 'glance' topic 'notifications.info' _send /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:432
2016-12-19 13:45:23.177 631182 DEBUG oslo_messaging._drivers.amqpdriver [req-add6a12d-5f03-4b24-887f-cd8bfe541d2d 7a87c9de03a14456888e8ad2a9a7a737 96a7b6456be443869cdca19ef2b1559b - default default] CAST unique_
id: e91bb6c117024568b54e26960f6672a5 NOTIFY exchange 'glance' topic 'notifications.info' _send /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:432
Comment 7 Paul Grist 2017-04-05 20:32:36 EDT
Thanks Yurii, I'm going to close this out as fixed in the current release.

Note You need to log in before you can comment on or make changes to this bug.